%define api		0.4
%define major		7
%define libname		%mklibname ayatana-indicator3_ %{major}
%define develname	%mklibname ayatana-indicator3 -d

%bcond_without gtk2

%define libname2	%mklibname ayatana-indicator %{major}
%define develname2	%mklibname ayatana-indicator -d

Name:		libayatana-indicator
Version:	0.9.3
Release:	%mkrel 1
Summary:	Ayatana panel indicator applet libraries
License:	GPLv3
Group:		System/Libraries
URL:		https://ayatanaindicators.github.io/
Source0:	https://github.com/AyatanaIndicators/libayatana-indicator/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	mate-common
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libayatana-ido3-0.4)
%if %{with gtk2}
BuildRequires:  pkgconfig(gtk+-2.0)
%endif

%description
This library contains information to build indicators to go into
the indicator applet.

#------------------------------------------------

%package	tools
Summary:	Tools for GTK+3 %{name}
Group:		System/Libraries

%description	tools
This package provides tools for GTK+3 %{name}.

#------------------------------------------------

%package -n	%{libname}
Summary:	Ayatana panel indicator applet library for GTK+3
Group:		System/Libraries

%description -n	%{libname}
This package provides the GTK+3 libraries required to build indicators
and to go into the indicator applet.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}3 (GTK+3)
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	ayatana-indicator3-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}3 (GTK+3).

#------------------------------------------------

%package -n	%{libname2}
Summary:	Ayatana panel indicator applet library for GTK+2
Group:		System/Libraries

%description -n %{libname2}
This package provides the GTK+2 libraries required to build indicators
and to go into the indicator applet.

#------------------------------------------------

%package -n	%{develname2}
Summary:	Development package for %{name} (GTK+2)
Group:		Development/C++
Requires:	%{libname2} = %{version}-%{release}
Provides:	ayatana-indicator-devel = %{version}-%{release}

%description -n %{develname2}
Header files for development with %{name} (GTK+2).

#------------------------------------------------

%prep
%autosetup -p1

%build
%if %{with gtk2}
%define _vpath_builddir build-gtk2
%cmake -DFLAVOUR_GTK2:BOOL=ON
%cmake_build
%endif

%define _vpath_builddir build-gtk3
%cmake -DFLAVOUR_GTK3:BOOL=ON -DENABLE_IDO:BOOL=ON
%cmake_build

%install
%if %{with gtk2}
%define _vpath_builddir build-gtk2
%cmake_install
%endif

%define _vpath_builddir build-gtk3
%cmake_install

# This dummy indicator is fairly useless, it is not shipped in Ubuntu.
find %{buildroot} -name 'libdummy-indicator*' -delete

# Fix rights for debug info extracting
%if %{with gtk2}
chmod 755 %{buildroot}%{_libdir}/%{name}.so.%{major}{,.*}
%endif
chmod 755 %{buildroot}%{_libdir}/%{name}3.so.%{major}{,.*}

%files tools
%license COPYING
%doc AUTHORS ChangeLog
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/ayatana-indicator-loader3
%{_datadir}/%{name}/

%files -n %{libname}
%license COPYING
%doc AUTHORS ChangeLog
%{_libdir}/%{name}3.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}3-%{api}/
%{_libdir}/%{name}3.so
%{_libdir}/pkgconfig/ayatana-indicator3-%{api}.pc

%if %{with gtk2}
%files -n %{libname2}
%license COPYING
%doc AUTHORS ChangeLog
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname2}
%{_includedir}/%{name}-%{api}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/ayatana-indicator-%{api}.pc
%endif


%changelog
* Tue Nov 08 2022 daviddavid <daviddavid> 0.9.3-1.mga9
+ Revision: 1904784
- new version: 0.9.3

* Sun Sep 11 2022 neoclust <neoclust> 0.9.1-1.mga9
+ Revision: 1887128
- New version 	0.9.1

* Thu Mar 31 2022 umeabot <umeabot> 0.8.4-2.mga9
+ Revision: 1836190
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 daviddavid <daviddavid> 0.8.4-1.mga9
+ Revision: 1690613
- new version: 0.8.4

* Sat Nov 14 2020 daviddavid <daviddavid> 0.8.3-1.mga8
+ Revision: 1645288
- new version: 0.8.3

* Fri Sep 11 2020 daviddavid <daviddavid> 0.8.2-1.mga8
+ Revision: 1624642
- new version: 0.8.2

* Thu Aug 27 2020 daviddavid <daviddavid> 0.8.1-1.mga8
+ Revision: 1619201
- new version: 0.8.1

* Tue Aug 18 2020 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1615130
- new version: 0.8.0

* Sun Aug 09 2020 wally <wally> 0.7.1-3.mga8
+ Revision: 1612212
- fix indicatordir in pkg-config .pc files

* Tue Aug 04 2020 wally <wally> 0.7.1-2.mga8
+ Revision: 1610960
- build gtk2 libs also

* Sun Aug 02 2020 daviddavid <daviddavid> 0.7.1-1.mga8
+ Revision: 1610481
- new version: 0.7.1

* Tue Jul 28 2020 daviddavid <daviddavid> 0.7.0-1.mga8
+ Revision: 1609350
- new version: 0.7.0

* Wed Jun 10 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1591926
- initial package libayatana-indicator

